Api referenceWorkspaces

List Services

Reference for List Services in the Veriom v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/services

List Services. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

repository_id?|null
cursor?string|null
limit?Limit
Default50
Range1 <= value <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/services"
{
  "has_more": false,
  "items": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "deployments": [
        {
          "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",
          "branch_ref": "string",
          "commit_sha": "string",
          "confidence_basis": "string",
          "configuration_sha256": "string",
          "content_sha256": "string",
          "environment": "string",
          "evidence_ids": [
            "string"
          ],
          "evidence_snapshot": [
            {}
          ],
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "image_digest": "string",
          "observed_at": "2019-08-24T14:15:22Z",
          "received_at": "2019-08-24T14:15:22Z",
          "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
          "resource_keys": [
            "string"
          ],
          "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",
          "source_event_id": "string",
          "source_kind": "string",
          "source_ref": "string",
          "stale": false
        }
      ],
      "entity_key": "string",
      "evidence_ids": [
        "string"
      ],
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
      "service_key": "string",
      "source": "string",
      "source_audit_id": "5b2a14a5-4417-422a-89c9-69ba885147c2",
      "source_observed_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "version": 0
    }
  ],
  "next_cursor": "string"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source